//********************************************************************
//*** ResourcePool/TaskRunner/Resource.cc
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: Resource.cc,v 1.1 2003/06/04 20:58:05 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_TASKRUNNER_RESOURCE_HH
#include "Resource.hh"
#endif

namespace fatalmind {
namespace TaskRunnerPoolInternals {

Resource::Resource()
: _tr()
{
}

Resource::~Resource()
{
}

bool Resource::precheck()
{
	return true;
}

bool Resource::postcheck()
{
	return true;
}

void Resource::close()
{
	_tr.stop();
}

void Resource::fail_close()
{
	_tr.stop();
}

fatalmind::TaskRunner& Resource::get_plain_resource()
{
	return _tr;
}

} // namespace TaskRunner
} // namespace fatalmind
