//********************************************************************
//*** ResourcePool/TaskRunner/Resource.hh
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: Resource.hh,v 1.2 2004/06/28 17:59:18 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_TASKRUNNER_RESOURCE_HH
#define RESOURCEPOOL_TASKRUNNER_RESOURCE_HH

#ifndef INCLUDED_TASKRUNNER_HH
#include "Thread/TaskRunner.hh"
#endif

namespace fatalmind {

namespace TaskRunnerPoolInternals {

class Resource {
	public:
		Resource();
		~Resource();
		bool precheck();
		bool postcheck();
		void close();
		void fail_close();
		TaskRunner& get_plain_resource();

	private:
		fatalmind::TaskRunner _tr;
};

} // namespace TaskRunner
} // namespace fatalmind

#endif
