//********************************************************************
//*** ResourcePool/mysql/SQLSelectRow.hh
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLSelectRow.hh,v 1.3 2003/10/27 21:27:38 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_MYSQL_SQLSELECTROW_HH
#define RESOURCEPOOL_MYSQL_SQLSELECTROW_HH

#ifndef RESOURCEPOOL_MYSQL_SQLSELECT_HH
#include "SQLSelect.hh"
#endif

namespace fatalmind {
namespace mysql {

class SQLSelectRow: public SQLSelect {
	public:
		SQLSelectRow(const std::string& SQL);
		void execute(MYSQL& dbh);
		virtual bool process();
	private:
		int _row;
};

}
}
#endif
