
#include "TEST.hh"
#include <string>
#include <stdio.h>
#include "../Exceptions/Errno.hh"

using namespace std;
using namespace fatalmind;

//TEST::TEST(bool _silent=false): OK(0), FAIL(0), ERROR(0), num(0) {
TEST::TEST(bool _silent): OK(0), FAIL(0), ERROR(0), num(0) {
	silent = _silent;
};

int TEST::run_tests() {
	return 0;
}

void TEST::test_it(TF func, char *name) {
        char hlp[80];
        bool result(true);
        bool error(false);
        bool e(false);
        string errstr;

//      (bool ())* call_func;

        try {
        //      throw string("hollahoooo");
                func();
        } catch(string s) {
                errstr = s;
                result = false;
                e = true;
        } catch(Errno eno) {
                errstr = "ERRNO: ";
                errstr += eno.message();
                e = true;
	} catch(Exception ex) {
		errstr = ex.message();
		e = true;
        } catch(...) {
		errstr = "Unknown Exception";
                error = true;
        }

        if (! silent || ! result) {
                sprintf(hlp, "%03d %s", num, name);
                printf(" %-67s", hlp);
        }
        if (result) {
                if (! silent) {
                        printf("  OK\n");
                }
                OK++;
        } else {
                printf("FAIL\n");
                FAIL++;
                if (e) {
                        printf(" ---> %s\n", errstr.c_str());
                }
        }
        num++;
}

